Bug 56893 - xsri blue background
xsri blue background
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-29 13:35 EST by Rob Wallace
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:45:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Wallace 2001-11-29 13:35:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010917

Description of problem:
xsri always sets the background to blue overriding my wallpaper for kdm.
I've remove the --color option in /etc/X11/xsrirc and the problem remains.
Problem was solved by using xsri from RH 7.1

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use kdm as login manager
2.Set a tiled wallpaper for kdm using kde control center -> login manager
3.Logout. The wallpaper will appear then get replaced by blue background.
	

Actual Results:  The kdm background is always blue.

Additional info:

xsri from RH 7.1 works however the RedHat login is not as nice.
Comment 1 Owen Taylor 2002-01-24 10:36:15 EST
You have to draw the background with xsri or with kdm; you can't use
a mix. (The 7.1 xsri approach will inherently look that bad, and/or have 
problems like if you switch to another virtual terminal and switch back, 
then it won't repaint.)

For GDM, we set it up so that 'xsri' is configured as the background
program in gdmconfig, so to switch to using the GDM standard background,
you unset that, and set the background instead. It's possible that
the KDM setup could be changed similarly.
Comment 2 John Klingler 2005-03-22 20:02:41 EST
We had the same problem with the background for xdm's login window. In Xsetup_0
we  set the background to black with xsetroot and use xsri to put up our product
name, which it does, and then it immediately sets the backgound to blue. The
problem is with xsri 2.1.0 which comes with Red Hat EL ws 3. The problem does
not exist in xsri 1.4.0. 

P.S. to revert to xsri 1.4.0 we also had to install /usr/lib/libImlib.so.1.9.7
and create a symbolic link /usr/lib/libImlib.so.1 -> libImlib.so.1.9.7 (don't
forget to run ldconfig after doing this if you are not using rpm.

I guess someone ignored the motto "If it aint broke, don't fix it."
Comment 3 Petr Rockai 2005-08-10 12:11:49 EDT
Please retry with current version of Fedora Core. Unless you followup on this    
bug, it will be considered fixed and will be closed at some point... Thank you    
for your time.   
Comment 4 Bill Nottingham 2006-10-18 10:45:26 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.